Subject: Generalist ADs?

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 26 Mar 2015 11:24:26 -0500

Hi, David,

You mentioned intentionally including one or more ADs who were generalists
on the IESG, during Admin Plenary open mike time last night.

I think I understood what you mean by that, because I responded to your
comment and you didn't say "no, silly rabbit, what I'm saying is ..."

But could you give us a sentence or two about what you're thinking?

(I think I agree, but I'd like to make sure I'm agreeing with what you're
thinking!)

Thanks,

Spencer

---

From: "Black, David" <[email-masked]>
Date: Thu, 26 Mar 2015 17:38:38 +0000

Hi Spencer,

I usually leave “silly rabbit ...” lines to the ADs - they’re better at that than I am ;-).

Currently, with the exception of the IETF Chair, ADs are selected with a strong focus on specific expertise in an Area.  I was suggesting adding a few “At-Large” ADs who would be selected with a strong focus on generalist skills, and I think I saw other comments in favor of adding generalists to the IESG during discussion of the initial area merge proposal.

The At-Large ADs could serve as out-of-area ADs to spread the WG management load.  In addition, the existence of At-Large AD positions could help the NomCom; if for some Area, the preferable slate of new AD candidates and continuing ADs is missing an important chunk of expertise, perhaps one of the good At-Large AD candidates would have that expertise.

Thanks,
--David

From: Spencer Dawkins at IETF [mailto:[email-masked]]
Sent: Thursday, March 26, 2015 12:24 PM
To: Black, David
Cc: [email-masked]
Subject: Generalist ADs?

Hi, David,

You mentioned intentionally including one or more ADs who were generalists on the IESG, during Admin Plenary open mike time last night.

I think I understood what you mean by that, because I responded to your comment and you didn't say "no, silly rabbit, what I'm saying is ..."

(I think I agree, but I'd like to make sure I'm agreeing with what you're thinking!)

Thanks,

Spencer

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 26 Mar 2015 22:03:33 +0200

AD is AD, why we make different types, one type is enough and each AD is
related to one area only. If we do general than why we have the IETF Chair?
The Chair is the general AD, but if you mean some deputy to that position
then I can understand that. However, each area can increase or decrease
their directors as needed.

AB

On Thursday, March 26, 2015, Black, David <[email-masked]> wrote:

> Currently, with the exception of the IETF Chair, ADs are selected with a
> strong focus on specific expertise in an Area.  I was suggesting adding a
> few “At-Large” ADs who would be selected with a strong focus on generalist
> skills, and I think I saw other comments in favor of adding generalists to
> the IESG during discussion of the initial area merge proposal.
>
>
>
> The At-Large ADs could serve as out-of-area ADs to spread the WG
> management load.  In addition, the existence of At-Large AD positions could
> help the NomCom; if for some Area, the preferable slate of new AD
> candidates and continuing ADs is missing an important chunk of expertise,
> perhaps one of the good At-Large AD candidates would have that expertise.
>
>
>
> Thanks,
> --David
>
>
>
> *From:* Spencer Dawkins at IETF [mailto:[email-masked]
> <javascript:_e(%7B%7D,'cvml',[email-masked]');>]
> *Sent:* Thursday, March 26, 2015 12:24 PM
> *To:* Black, David
> *Cc:* [email-masked] <javascript:_e(%7B%7D,'cvml',[email-masked]');>
> *Subject:* Generalist ADs?
>
>
>
> Hi, David,
>
>
>

---

From: Keith Moore <[email-masked]>
Date: Sat, 28 Mar 2015 11:40:54 -0400

On 03/26/2015 01:38 PM, Black, David wrote:
> Currently, with the exception of the IETF Chair, ADs are selected with 
> a strong focus on specific expertise in an Area.  I was suggesting 
> adding a few “At-Large” ADs who would be selected with a strong focus 
> on generalist skills, and I think I saw other comments in favor of 
> adding generalists to the IESG during discussion of the initial area 
> merge proposal.
>
> management load.  In addition, the existence of At-Large AD positions 
> could help the NomCom; if for some Area, the preferable slate of new 
> AD candidates and continuing ADs is missing an important chunk of 
> expertise, perhaps one of the good At-Large AD candidates would have 
> that expertise.
>
>
Generalist ADs could also be valuable in helping IESG manage tussles 
between areas, since a generalist AD would be more likely to see such 
tussles and take steps to resolve them, than an IESG that's buried deep 
in a particular area or layer of the protocol stack.

Keith

---

From: joel jaeggli <[email-masked]>
Date: Sat, 28 Mar 2015 09:02:22 -0700

On 3/26/15 10:38 AM, Black, David wrote:
> strong focus on specific expertise in an Area.  I was suggesting adding
> a few “At-Large” ADs who would be selected with a strong focus on
> generalist skills, and I think I saw other comments in favor of adding
> generalists to the IESG during discussion of the initial area merge
> proposal.
> 
>  
> 
> could help the NomCom; if for some Area, the preferable slate of new AD
> candidates and continuing ADs is missing an important chunk of

The job description I wrote for the operations and management AD role to
be filled this time was the following... this is probably one of the
more, if not most generalist AD role.

** Operations and Management AD **

The primary technical areas covered by the Operations and Management
Area include: Network Management, AAA, and various operational issues
facing the deployed Internet such as DNS operation, IPv6 operation, routing
operation and operational security.

Unlike most IETF areas, the Operations and Management Area is logically
divided into two separate functions: Network Management and Operations.
This year, the Operation AD role is open, so specific expertise desired
for the open position includes a strong understanding of or experience
with the operation of large scale transit or access networks and
services, as well as edge networks.   Among the other areas, the Operations
portion of the OPS area  intersects most often with the Routing, Internet
and Security areas.

Desired characteristics for this position includes an understanding of AAA
protocols, network management protocols and their deployed uasge, DNS
and  Routing with respect to topics covered by working groups in the Ops
area.

There is an expectation that an operations AD will be reasonably conversant
(generalist) with the full stack associated with internet services
without necessarily being a domain expert.

Another important role of the Operations and Management AD is to
identify potential or actual management or operational issues regarding
IETF protocols and documents in all Areas, and to work with the other
Areas to resolve those issues. This implies a strong understanding of
how new and updated protocols should be managed, including aspects
related to configuration, monitoring and alarms. It also implies a good
understanding of the operational environment in which protocols are
used, a  cross-area comprehension of the Internet architecture,
and a knowledge of IETF protocols. Note that breadth of technical ability
is perhaps more important than specific technical expertise.

Cross-area expertise in any Area would be useful. Security as part of
network operations and network management is an important topic. The
Operations and Management Area also interacts with the operator
community, operator organizations like NANOG, RIPE, and other SDOs doing
work in network management.